/*
 * Copyright (c) 2018, CiBO Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its contributors
 *    may be used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package com.cibo.evilplot.colors

// The named colors defined in the HTML specification.
object HTMLNamedColors {
  val aliceBlue: HSLA = HSLA(208, 100, 97, 1.0)
  val antiqueWhite: HSLA = HSLA(34, 78, 91, 1.0)
  val aqua: HSLA = HSLA(180, 100, 50, 1.0)
  val aquamarine: HSLA = HSLA(160, 100, 75, 1.0)
  val azure: HSLA = HSLA(180, 100, 97, 1.0)
  val beige: HSLA = HSLA(60, 56, 91, 1.0)
  val bisque: HSLA = HSLA(33, 100, 88, 1.0)
  val black: HSLA = HSLA(0, 0, 0, 1.0)
  val blanchedAlmond: HSLA = HSLA(36, 100, 90, 1.0)
  val blue: HSLA = HSLA(240, 100, 50, 1.0)
  val blueViolet: HSLA = HSLA(271, 76, 53, 1.0)
  val brown: HSLA = HSLA(0, 59, 41, 1.0)
  val burlyWood: HSLA = HSLA(34, 57, 70, 1.0)
  val cadetBlue: HSLA = HSLA(182, 25, 50, 1.0)
  val chartreuse: HSLA = HSLA(90, 100, 50, 1.0)
  val chocolate: HSLA = HSLA(25, 75, 47, 1.0)
  val coral: HSLA = HSLA(16, 100, 66, 1.0)
  val cornflowerBlue: HSLA = HSLA(219, 79, 66, 1.0)
  val cornsilk: HSLA = HSLA(48, 100, 93, 1.0)
  val crimson: HSLA = HSLA(348, 83, 47, 1.0)
  val cyan: HSLA = HSLA(180, 100, 50, 1.0)
  val darkBlue: HSLA = HSLA(240, 100, 27, 1.0)
  val darkCyan: HSLA = HSLA(180, 100, 27, 1.0)
  val darkGoldenRod: HSLA = HSLA(43, 89, 38, 1.0)
  val darkGray: HSLA = HSLA(0, 0, 66, 1.0)
  val darkGrey: HSLA = HSLA(0, 0, 66, 1.0)
  val darkGreen: HSLA = HSLA(120, 100, 20, 1.0)
  val darkKhaki: HSLA = HSLA(56, 38, 58, 1.0)
  val darkMagenta: HSLA = HSLA(300, 100, 27, 1.0)
  val darkOliveGreen: HSLA = HSLA(82, 39, 30, 1.0)
  val darkOrange: HSLA = HSLA(33, 100, 50, 1.0)
  val darkOrchid: HSLA = HSLA(280, 61, 50, 1.0)
  val darkRed: HSLA = HSLA(0, 100, 27, 1.0)
  val darkSalmon: HSLA = HSLA(15, 72, 70, 1.0)
  val darkSeaGreen: HSLA = HSLA(120, 25, 65, 1.0)
  val darkSlateBlue: HSLA = HSLA(248, 39, 39, 1.0)
  val darkSlateGray: HSLA = HSLA(180, 25, 25, 1.0)
  val darkSlateGrey: HSLA = HSLA(180, 25, 25, 1.0)
  val darkTurquoise: HSLA = HSLA(181, 100, 41, 1.0)
  val darkViolet: HSLA = HSLA(282, 100, 41, 1.0)
  val deepPink: HSLA = HSLA(328, 100, 54, 1.0)
  val deepSkyBlue: HSLA = HSLA(195, 100, 50, 1.0)
  val dimGray: HSLA = HSLA(0, 0, 41, 1.0)
  val dimGrey: HSLA = HSLA(0, 0, 41, 1.0)
  val dodgerBlue: HSLA = HSLA(210, 100, 56, 1.0)
  val fireBrick: HSLA = HSLA(0, 68, 42, 1.0)
  val floralWhite: HSLA = HSLA(40, 100, 97, 1.0)
  val forestGreen: HSLA = HSLA(120, 61, 34, 1.0)
  val fuchsia: HSLA = HSLA(300, 100, 50, 1.0)
  val gainsboro: HSLA = HSLA(0, 0, 86, 1.0)
  val ghostWhite: HSLA = HSLA(240, 100, 99, 1.0)
  val gold: HSLA = HSLA(51, 100, 50, 1.0)
  val goldenRod: HSLA = HSLA(43, 74, 49, 1.0)
  val gray: HSLA = HSLA(0, 0, 50, 1.0)
  val grey: HSLA = HSLA(0, 0, 50, 1.0)
  val green: HSLA = HSLA(120, 100, 25, 1.0)
  val greenYellow: HSLA = HSLA(84, 100, 59, 1.0)
  val honeyDew: HSLA = HSLA(120, 100, 97, 1.0)
  val hotPink: HSLA = HSLA(330, 100, 71, 1.0)
  val indianRed: HSLA = HSLA(0, 53, 58, 1.0)
  val indigo: HSLA = HSLA(275, 100, 25, 1.0)
  val ivory: HSLA = HSLA(60, 100, 97, 1.0)
  val khaki: HSLA = HSLA(54, 77, 75, 1.0)
  val lavender: HSLA = HSLA(240, 67, 94, 1.0)
  val lavenderBlush: HSLA = HSLA(340, 100, 97, 1.0)
  val lawnGreen: HSLA = HSLA(90, 100, 49, 1.0)
  val lemonChiffon: HSLA = HSLA(54, 100, 90, 1.0)
  val lightBlue: HSLA = HSLA(195, 53, 79, 1.0)
  val lightCoral: HSLA = HSLA(0, 79, 72, 1.0)
  val lightCyan: HSLA = HSLA(180, 100, 94, 1.0)
  val lightGoldenRodYellow: HSLA = HSLA(60, 80, 90, 1.0)
  val lightGray: HSLA = HSLA(0, 0, 83, 1.0)
  val lightGrey: HSLA = HSLA(0, 0, 83, 1.0)
  val lightGreen: HSLA = HSLA(120, 73, 75, 1.0)
  val lightPink: HSLA = HSLA(351, 100, 86, 1.0)
  val lightSalmon: HSLA = HSLA(17, 100, 74, 1.0)
  val lightSeaGreen: HSLA = HSLA(177, 70, 41, 1.0)
  val lightSkyBlue: HSLA = HSLA(203, 92, 75, 1.0)
  val lightSlateGray: HSLA = HSLA(210, 14, 53, 1.0)
  val lightSlateGrey: HSLA = HSLA(210, 14, 53, 1.0)
  val lightSteelBlue: HSLA = HSLA(214, 41, 78, 1.0)
  val lightYellow: HSLA = HSLA(60, 100, 94, 1.0)
  val lime: HSLA = HSLA(120, 100, 50, 1.0)
  val limeGreen: HSLA = HSLA(120, 61, 50, 1.0)
  val linen: HSLA = HSLA(30, 67, 94, 1.0)
  val magenta: HSLA = HSLA(300, 100, 50, 1.0)
  val maroon: HSLA = HSLA(0, 100, 25, 1.0)
  val mediumAquaMarine: HSLA = HSLA(160, 51, 60, 1.0)
  val mediumBlue: HSLA = HSLA(240, 100, 40, 1.0)
  val mediumOrchid: HSLA = HSLA(288, 59, 58, 1.0)
  val mediumPurple: HSLA = HSLA(260, 60, 65, 1.0)
  val mediumSeaGreen: HSLA = HSLA(147, 50, 47, 1.0)
  val mediumSlateBlue: HSLA = HSLA(249, 80, 67, 1.0)
  val mediumSpringGreen: HSLA = HSLA(157, 100, 49, 1.0)
  val mediumTurquoise: HSLA = HSLA(178, 60, 55, 1.0)
  val mediumVioletRed: HSLA = HSLA(322, 81, 43, 1.0)
  val midnightBlue: HSLA = HSLA(240, 64, 27, 1.0)
  val mintCream: HSLA = HSLA(150, 100, 98, 1.0)
  val mistyRose: HSLA = HSLA(6, 100, 94, 1.0)
  val moccasin: HSLA = HSLA(38, 100, 85, 1.0)
  val navajoWhite: HSLA = HSLA(36, 100, 84, 1.0)
  val navy: HSLA = HSLA(240, 100, 25, 1.0)
  val oldLace: HSLA = HSLA(39, 85, 95, 1.0)
  val olive: HSLA = HSLA(60, 100, 25, 1.0)
  val oliveDrab: HSLA = HSLA(80, 60, 35, 1.0)
  val orange: HSLA = HSLA(39, 100, 50, 1.0)
  val orangeRed: HSLA = HSLA(16, 100, 50, 1.0)
  val orchid: HSLA = HSLA(302, 59, 65, 1.0)
  val paleGoldenRod: HSLA = HSLA(55, 67, 80, 1.0)
  val paleGreen: HSLA = HSLA(120, 93, 79, 1.0)
  val paleTurquoise: HSLA = HSLA(180, 65, 81, 1.0)
  val paleVioletRed: HSLA = HSLA(340, 60, 65, 1.0)
  val papayaWhip: HSLA = HSLA(37, 100, 92, 1.0)
  val peachPuff: HSLA = HSLA(28, 100, 86, 1.0)
  val peru: HSLA = HSLA(30, 59, 53, 1.0)
  val pink: HSLA = HSLA(350, 100, 88, 1.0)
  val plum: HSLA = HSLA(300, 47, 75, 1.0)
  val powderBlue: HSLA = HSLA(187, 52, 80, 1.0)
  val purple: HSLA = HSLA(300, 100, 25, 1.0)
  val rebeccaPurple: HSLA = HSLA(270, 50, 40, 1.0)
  val red: HSLA = HSLA(0, 100, 50, 1.0)
  val rosyBrown: HSLA = HSLA(0, 25, 65, 1.0)
  val royalBlue: HSLA = HSLA(225, 73, 57, 1.0)
  val saddleBrown: HSLA = HSLA(25, 76, 31, 1.0)
  val salmon: HSLA = HSLA(6, 93, 71, 1.0)
  val sandyBrown: HSLA = HSLA(28, 87, 67, 1.0)
  val seaGreen: HSLA = HSLA(146, 50, 36, 1.0)
  val seaShell: HSLA = HSLA(25, 100, 97, 1.0)
  val sienna: HSLA = HSLA(19, 56, 40, 1.0)
  val silver: HSLA = HSLA(0, 0, 75, 1.0)
  val skyBlue: HSLA = HSLA(197, 71, 73, 1.0)
  val slateBlue: HSLA = HSLA(248, 53, 58, 1.0)
  val slateGray: HSLA = HSLA(210, 13, 50, 1.0)
  val slateGrey: HSLA = HSLA(210, 13, 50, 1.0)
  val snow: HSLA = HSLA(0, 100, 99, 1.0)
  val springGreen: HSLA = HSLA(150, 100, 50, 1.0)
  val steelBlue: HSLA = HSLA(207, 44, 49, 1.0)
  val tan: HSLA = HSLA(34, 44, 69, 1.0)
  val teal: HSLA = HSLA(180, 100, 25, 1.0)
  val thistle: HSLA = HSLA(300, 24, 80, 1.0)
  val tomato: HSLA = HSLA(9, 100, 64, 1.0)
  val turquoise: HSLA = HSLA(174, 72, 56, 1.0)
  val violet: HSLA = HSLA(300, 76, 72, 1.0)
  val wheat: HSLA = HSLA(39, 77, 83, 1.0)
  val white: HSLA = HSLA(0, 0, 100, 1.0)
  val whiteSmoke: HSLA = HSLA(0, 0, 96, 1.0)
  val yellow: HSLA = HSLA(60, 100, 50, 1.0)
  val yellowGreen: HSLA = HSLA(80, 61, 50, 1.0)
}
